Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dmExporter.ChunkOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.ByteArrayOutputStream
              igeo.io.IRhino3dmExporter.ChunkOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  IRhino3dmExporter

    public static class IRhino3dmExporter.ChunkOutputStream

extends java.io.ByteArrayOutputStream

Field Summary
`java.util.zip.CRC32` | `crc`
`int` | `header`

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`IRhino3dmExporter.ChunkOutputStream(int header)`
`IRhino3dmExporter.ChunkOutputStream(int header, int majorVersion, int minorVersion)`

Method Summary
`IRhino3dm.Chunk` | `getChunk()`
`java.util.zip.CRC32` | `getCRC()`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### header

    public int header

### crc

    public java.util.zip.CRC32 crc

Constructor Detail

### IRhino3dmExporter.ChunkOutputStream

    public IRhino3dmExporter.ChunkOutputStream(int header)

### IRhino3dmExporter.ChunkOutputStream

    public IRhino3dmExporter.ChunkOutputStream(int header,
                                               int majorVersion,
                                               int minorVersion)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getCRC

    public java.util.zip.CRC32 getCRC()

### getChunk

    public IRhino3dm.Chunk getChunk()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD